commit:     435d69dab9360908dac70db370500902a111bd7a
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 31 18:53:38 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 31 19:09:52 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=435d69da

dev-python/sphinxcontrib-htmlhelp: add 2.0.1

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/sphinxcontrib-htmlhelp/Manifest         |  1 +
 .../sphinxcontrib-htmlhelp-2.0.1.ebuild            | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/sphinxcontrib-htmlhelp/Manifest 
b/dev-python/sphinxcontrib-htmlhelp/Manifest
index f27606a08b15..dd8045d6a877 100644
--- a/dev-python/sphinxcontrib-htmlhelp/Manifest
+++ b/dev-python/sphinxcontrib-htmlhelp/Manifest
@@ -1 +1,2 @@
 DIST sphinxcontrib-htmlhelp-2.0.0.tar.gz 28144 BLAKE2B 
09b0d9bcec57140278c4476fa0bbc40d359fc167d8ea891a1585fbdeafe6eb0b52442dbbc8d1d5b6edb3953b04fc29a71f6f74e58a281ebb0d79e5a30cb02749
 SHA512 
6ed673966615f3e818e00de4b7e59c27f0a0d7b494294f804540777c580480870c36002c08d8ad626b7b41a676fe40edc0b0b5ffc6ad8080f38f59c24e157636
+DIST sphinxcontrib-htmlhelp-2.0.1.tar.gz 27967 BLAKE2B 
922921a52c421bde9787df6fd5107a515bb0af4f4a6a6c8b84f474b9d7b0ce9251437b8780b3464190e494555bbe6d72604e155bce98794c36c03ddbcc5c4cc7
 SHA512 
7957ad688d7f9d44c0413fd747147e8e261136d48ed159fef4e668dcab76c54103028102a9ed893bfadbd175b88543e0d1414b8e01a716810d44b92edfbd79e5

diff --git 
a/dev-python/sphinxcontrib-htmlhelp/sphinxcontrib-htmlhelp-2.0.1.ebuild 
b/dev-python/sphinxcontrib-htmlhelp/sphinxcontrib-htmlhelp-2.0.1.ebuild
new file mode 100644
index 000000000000..68ce8456f5f4
--- /dev/null
+++ b/dev-python/sphinxcontrib-htmlhelp/sphinxcontrib-htmlhelp-2.0.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension which outputs HTML help book"
+HOMEPAGE="
+       https://www.sphinx-doc.org/
+       https://github.com/sphinx-doc/sphinxcontrib-htmlhelp/
+       https://pypi.org/project/sphinxcontrib-htmlhelp/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x64-solaris"
+
+PDEPEND="
+       >=dev-python/sphinx-2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               ${PDEPEND}
+               dev-python/html5lib[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+       distutils-r1_python_compile
+       find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+       distutils_write_namespace sphinxcontrib
+       cd "${T}" || die
+       epytest "${S}"/tests
+}

Reply via email to